#include "luatester.h"

#include "EABaseTypes/datatypes.h"

#include "EABaseTypesLua/stackcheck.h"
#include "EABaseTypesLua/EABaseTypesLua.h"

#include "EABaseTypesLua/datautillua.h"

extern "C" 
{
	#include "lua.h"
	#include "lualib.h"
	#include "lauxlib.h"
}    

namespace UX
{
	namespace LuaTester
	{
		void Run(lua_State* L, EA::Types::FunctionIn callback, const char* fileName)
		{
			EA::Lua::StackCheck s(L);

			lua_getglobal(L, "requireasync");
			EA::Lua::PushBaseType(L, callback);
			lua_pushstring(L, fileName);

			EA::Lua::Call(L, 2, 0);
		}
	};
}
